export declare const UPDATE_NOTIFICATION = "UPDATE_NOTIFICATION";
export declare const CONFIRM_NOTIFICATION = "CONFIRM_NOTIFICATION";
export declare function isSupportingMessaging(): Promise<boolean>;
export declare function getSubscriptionToken(force?: boolean): Promise<any>;
export declare function subscribe(): Promise<any>;
export declare function unsubscribe(): Promise<void>;
export declare function notify(options: any): Promise<boolean>;
